# Alpine Linux with NGINX and PHP Docker Container
This is a Alpine Linux based Docker Container, which comes with nginx and PHP preinstalled. PHP is running as FPM-daemon and builtin in the default vhost. For monitoring the services a seperate vhost is configured on port 8080, which returns via PHP "OK". There is already a healthcheck configured for this page. The default vhost points to `/var/www/html`. Sompe PHP settings can be configured from environment variables:
|Variable|Default Value|Notes|
|---|---|---|
|PHP_MEMORY_LIMIT|512M||
|PHP_MAX_UPLOAD|50M||
|PHP_MAX_FILE_UPLOAD|200||
|PHP_MAX_POST|100M||
|PHP_DISPLAY_ERRORS|Off||
|PHP_DISPLAY_STARTUP_ERRORS|Off||
|PHP_ERROR_REPORTING|"E_COMPILE_ERROR\|E_RECOVERABLE_ERROR\|E_ERROR\|E_CORE_ERROR"||
|PHP_CGI_FIX_PATHINFO|0||
|PHP_LOG_LEVEL|notice|This is the log level for the PHP FPM daemon.|
|PHP_EXPOSE_INFO|Off|Set this to `On` if you want the `x-powered-by` header in your response.|
|PHP_FILE_UPLOADS|On|Allow user to upload files to PHP scripts.|
|PHP_MAX_EXECUTION_TIME|30|The maximum execution time of PHP scripts.|

The Image is available in multiple PHP and alpine versions. The following tag name will be used for every image: `<branch>-<php version>-<alpine version>`. For the master branch, the branch tag is not included. At the moment the following versions are available:
|PHP Version|Alpine Version|Tag Name|Notes
|---|---|---|---|
|8.4|edge|84-edge|Still in beta|
|8.3|3.20|83-3.20||
|8.3|3.19|3-3.19||
|8.3|latest|83-latest||
|8.3|edge|83-edge||
|8.2|3.20|82-3.20||
|8.2|3.19|82-3.19||
|8.2|3.18|82-3.18||
|8.2|latest|82-latest||
|8.2|edge|82-edge||
|8.1|3.16|81-3.16||
|8.1|3.17|81-3.17||
|8.1|3.18|81-3.18||
|8.1|3.19|81-3.19||
|8.0|3.16|8-3.16||
|8.0|3.15|8-3.15||
|7.4|3.15|7-3.15||
